MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023947Open CASCADE[OCCT] OCCT:Codingpublic2013-05-07 12:262014-01-02 19:30
Reporterabv 
Assigned Toomy 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023947: Eliminate trivial compiler warnings in MSVC++ with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces about 2500 warnings.

This issue is for fixing most trivial ones:

- "conditional expression is constant" in operators like while(1), replace by for(;;)

- "unused function argument", comment

- "potential use of uninitialized variable", initialize to zero
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0024057closedomy Open CASCADE Eliminate compiler warning C4100 in MSVC++ with warning level 4 
parent of 0024058closedomy Open CASCADE Eliminate compiler warning C4702 in MSVC++ with warning level 4 
parent of 0024059closedbugmaster Open CASCADE Eliminate compiler warning C4701 in MSVC++ with warning level 4 
parent of 0024085closedomy Open CASCADE Eliminate compiler warning C4706 in MSVC++ with warning level 4 
parent of 0024087closedomy Open CASCADE Eliminate compiler warning C4244 in MSVC++ with warning level 4 
parent of 0024095closedbugmaster Open CASCADE Eliminate compiler warning C4512 in MSVC++ with warning level 4 
parent of 0024096closedbugmaster Open CASCADE Eliminate compiler warning C4505 in MSVC++ with warning level 4 
parent of 0024129closedabv Open CASCADE Eliminate remaining compiler warnings in MSVC++ 2008 32 bit with warning level 4 
parent of 0024165closedabv Open CASCADE Eliminate compiler warnings on unused variables in files generated by WOK (Schema) 
has duplicate 0023926closedbugmaster Community Potentially uninitialized pointer used. 
related to 0023934closedabv Open CASCADE Compiler warnings in MS VC++ 10 
related to 0024160closedabv Open CASCADE Changes in VS Projects warning level 
related to 0024162closedabv Open CASCADE Eliminate CLang compiler warning 
related to 0024167closedbugmaster Open CASCADE Compiler warnings 'unreacheable code' and 'conditional expression is constant' in MOA 
related to 0024172closedbugmaster Open CASCADE Compiler warnings 'unreacheable code' and 'unreferenced local function' in OCAF 

-  Notes
(0024946)
omy (developer)
2013-07-02 17:13

Dear mkv,
Please, test the current state of branch CR23947 to be sure it is still OK.
(0024953)
mkv (tester)
2013-07-03 11:50

Dear BugMaster,

Branch CR23947 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 250e4f5e3df9796d4b7932626bce09d064906ea1

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
http://occt-tests/CR23947-master-occt/Debian60-64/summary.html [^]
bugs modalg_1(006) buc60462_2

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 365854400 / 366152312
Total CPU difference: 45075.61000000158 / 42516.44000000101

Testing on Windows:
Total MEMORY difference: 423152192 / 423980200
Total CPU difference: 38832.21875 / 43318.953125

There are following difference in images found by testdiff.
http://occt-tests/CR23947-master-occt/Debian60-64/diff-Debian60-64.html [^]
IMAGE bugs vis bug22483_4: bug22483_4_Driver1_Viewer1_View1.png differs
(0024959)
omy (developer)
2013-07-04 10:04
edited on: 2013-07-04 10:19

Dear mkv,
Please, run test bugs modalg_1 buc60462_2 on the branch again to be sure, that the improvement found on Debian-x64 (and/or on some other platforms) is stable.

(0024967)
mkv (tester)
2013-07-05 11:21

Dear omy,
test bugs modalg_1 buc60462_2 was tested on Linux 5 times. It is always improvement.
(0024968)
omy (developer)
2013-07-05 12:00

Dear abv,
I've fixed the test case.
Please, review.
(0024990)
abv (manager)
2013-07-09 08:29
edited on: 2013-07-09 08:34

Oleg, please rebase this branch on current master.

In QANCollection4.cxx, function QANColStdAllocator1() please restore code dealing with aDummy variable: I guess this code is aimed to check that compiler understands correctly these statements rather than to actually use aDummy. To prevent compiler warning on unused variable, I propose you can add a static function accepting allocator_type::const_reference and doing nothing, and call it for each of the three aDummy variables. This will also allow checking conversion from non-const to const reference.

In TestTopOpe_DSACommands.cxx, function DSACCESSCOMMANDS() the whole cycle starting at line 119 seem to do nothing at all. If so, please consider removing it as a whole (and perhaps the function itself -- check if it is used in some command and this command participates in tests).

In TopOpeBRep_EdgesFiller.cxx I believe that the code inside first #ifdef DEB at line 73 should be restored as it still can be useful for debug. Does it trigger some compiler warning? The same applies to two more #ifdef DEB statements in the same function (ones that print something), as well as in TopOpeBRep_FacesFiller_1.cxx, TopOpeBRepTool_CORRISO.cxx, BRepAlgo_Loop::Perform().

In tests/bugs/modalg_1/buc60462_2 last TODO is not needed any more since relevant message is removed.

(0024997)
omy (developer)
2013-07-09 12:06

Dear abv,
I've corrected mistakes you mentioned.
Please, review.
(0024999)
abv (manager)
2013-07-09 12:50

I have modified a few places which were changed too much, please review. I have no other remarks from my side.
(0025001)
omy (developer)
2013-07-09 13:45

No remarks.
Dear mkv,
please, test.
(0025009)
apn (administrator)
2013-07-10 10:46

Dear BugMaster,

Branch CR23947 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4391c9fd4a7f268bd6c00f3411e605c7a16d7776

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 364673616 / 364893572
Total CPU difference: 44803.68000000117 / 43679.490000000915

Testing on Windows:
Total MEMORY difference: 424256684 / 425450340
Total CPU difference: 37067.125 / 41002.375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 302f96fb
Timestamp: 2013-07-12 08:37:38
Author: omy
Details ] Diff ]
0023947: Eliminate trivial compiler warnings in MSVC++ with warning level 4

Fix first subset of warnings (about 100)
- while(1) and similar constructs replaced by for(;;)
- some uninitialized variables corrected
Got rid of Warning C4189: local variable is initialised but not referenced
Corrected mistakes after getting rid of C4189 compiler warning
Corrected some mistakes that led to compiling errors
Fixed test case because of improvement message - removed unnecessary TODO.
Small fix: tabs have been replaced with whitespaces.
Added TODO for Windows platform
removed last TODO
Corrected mistakes, returned some #ifdef DEB code, fixed test case .
Restoring a few places which have been modified too much
Small grammar fix
Deleted unnecessary puts in bugs/end
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_SurfaceOfLinearExtrusion.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/BndLib/BndLib_AddSurface.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Tools.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.cxx Diff ] File ]
mod - src/BOPCol/BOPCol_Array1.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools_2.cxx Diff ] File ]
mod - src/BRep/BRep_Builder.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Loop.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Collect.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_FindSurface.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Offset.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SurfaceCommands.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_Sample.cxx Diff ] File ]
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd_Sample.cxx Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtPS.cxx Diff ] File ]
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/FSD/FSD_CmpFile.cxx Diff ] File ]
mod - src/FSD/FSD_File.cxx Diff ] File ]
mod - src/FWOSDriver/FWOSDriver_Driver.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_NSections.cxx Diff ] File ]
mod - src/gp/gp_GTrsf.cxx Diff ] File ]
mod - src/gp/gp_GTrsf2d.cxx Diff ] File ]
mod - src/gp/gp_Mat.cxx Diff ] File ]
mod - src/gp/gp_Mat2d.cxx Diff ] File ]
mod - src/gp/gp_Trsf.cxx Diff ] File ]
mod - src/gp/gp_Trsf2d.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_OutLiner.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionFile.cxx Diff ] File ]
mod - src/IGESFile/igesread.c Diff ] File ]
mod - src/IntAna/IntAna_Curve.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALineToWLine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntTools/IntTools_BeanBeanIntersector.cxx Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge_1.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FClass2d.cxx Diff ] File ]
mod - src/LDOM/LDOMParser.cxx Diff ] File ]
mod - src/LDOM/LDOM_CharReference.cxx Diff ] File ]
mod - src/LDOM/LDOM_Element.cxx Diff ] File ]
mod - src/LDOM/LDOM_XmlReader.cxx Diff ] File ]
mod - src/math/math_DirectPolynomialRoots.cxx Diff ] File ]
mod - src/Message/Message_MsgFile.cxx Diff ] File ]
mod - src/NCollection/NCollection_IncAllocator.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OSD/OSD.cxx Diff ] File ]
mod - src/OSD/OSD_DirectoryIterator.cxx Diff ] File ]
mod - src/OSD/OSD_Disk.cxx Diff ] File ]
mod - src/OSD/OSD_File.cxx Diff ] File ]
mod - src/OSD/OSD_FileIterator.cxx Diff ] File ]
mod - src/OSD/OSD_FileNode.cxx Diff ] File ]
mod - src/OSD/OSD_Host.cxx Diff ] File ]
mod - src/OSD/OSD_MAllocHook.cxx Diff ] File ]
mod - src/OSD/OSD_Path.cxx Diff ] File ]
mod - src/OSD/OSD_Process.cxx Diff ] File ]
mod - src/OSD/OSD_SharedLibrary.cxx Diff ] File ]
mod - src/OSD/OSD_signal_WNT.cxx Diff ] File ]
mod - src/OSD/OSD_WNT.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_RadiusAspect.cxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_13.cxx Diff ] File ]
mod - src/QABugs/QABugs_2.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Gluing.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Limitation.cxx Diff ] File ]
mod - src/QANewDBRepNaming/QANewDBRepNaming.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Intersection.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/Resource/Resource_Manager.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_GeneralModule.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedApprovalAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedDateAndTimeAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedDateAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedDocumentReference.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedOrganizationAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedPersonAndOrganizationAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAppliedSecurityClassificationAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignActualDateAndTimeAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignActualDateAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignApprovalAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignDateAndPersonAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignDocumentReference.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignNominalDateAndTimeAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignNominalDateAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignOrganizationAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignPersonAndOrganizationAssignment.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_RWAutoDesignSecurityClassificationAssignment.cxx Diff ] File ]
mod - src/RWStepBasic/RWStepBasic_RWApplicationContextElement.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBounds.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - src/Standard/Standard.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_Curve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFRestrictedFace.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnit.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/StepData/StepData_DefaultGeneral.cxx Diff ] File ]
mod - src/StepData/StepData_DescrGeneral.cxx Diff ] File ]
mod - src/StepData/StepData_PDescr.cxx Diff ] File ]
mod - src/StepData/StepData_Simple.cxx Diff ] File ]
mod - src/StepData/StepData_StepReaderData.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedClosedShell.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedFace.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedOpenShell.cxx Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.cxx Diff ] File ]
mod - src/TColStd/TColStd_MapIteratorOfPackedMapOfInteger.cxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Directory.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_NoteBook.cxx Diff ] File ]
mod - src/TDataXtd/TDataXtd_Shape.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TestTopOpe/FILES Diff ] File ]
mod - src/TestTopOpe/TestTopOpe.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_CORCommands.cxx Diff ] File ]
rm - src/TestTopOpe/TestTopOpe_DSACommands.cxx Diff ] File ]
mod - src/TestTopOpeDraw/TestTopOpeDraw_OtherCommands.cxx Diff ] File ]
mod - src/TFunction/TFunction_Function.cxx Diff ] File ]
mod - src/TNaming/TNaming_UsedShapes.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessGR.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInterIterator.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CORRISO.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_tol.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOPOLOGY.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Geometry.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.cxx Diff ] File ]
mod - src/WNT/EHDC.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_NamedDataDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/XmlObjMgt/XmlObjMgt.cxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]
mod - src/XSDRAWSTEP/XSDRAWSTEP.cxx Diff ] File ]
mod - tests/bugs/begin Diff ] File ]
mod - tests/bugs/end Diff ] File ]
mod - tests/bugs/modalg_1/buc60462_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-07 12:26 abv New Issue
2013-05-07 12:26 abv Assigned To => abv
2013-07-01 14:02 omy Assigned To abv => omy
2013-07-01 14:04 omy Status new => assigned
2013-07-02 17:13 omy Note Added: 0024946
2013-07-02 17:13 omy Assigned To omy => mkv
2013-07-02 17:13 omy Status assigned => resolved
2013-07-03 11:50 mkv Note Added: 0024953
2013-07-03 11:51 mkv Test case number => Not needed
2013-07-03 11:51 mkv Assigned To mkv => omy
2013-07-03 11:51 mkv Status resolved => feedback
2013-07-03 16:57 omy Relationship added parent of 0024057
2013-07-03 17:01 omy Relationship added related to 0023934
2013-07-03 17:06 omy Status feedback => assigned
2013-07-04 10:04 omy Note Added: 0024959
2013-07-04 10:04 omy Assigned To omy => mkv
2013-07-04 10:04 omy Status assigned => resolved
2013-07-04 10:04 omy Note Edited: 0024959 View Revisions
2013-07-04 10:16 omy Relationship added parent of 0024058
2013-07-04 10:19 omy Note Edited: 0024959 View Revisions
2013-07-04 16:09 omy Relationship added parent of 0024059
2013-07-05 11:21 mkv Note Added: 0024967
2013-07-05 11:21 mkv Assigned To mkv => omy
2013-07-05 11:21 mkv Status resolved => feedback
2013-07-05 12:00 omy Note Added: 0024968
2013-07-05 12:00 omy Assigned To omy => abv
2013-07-05 12:00 omy Status feedback => resolved
2013-07-09 08:29 abv Note Added: 0024990
2013-07-09 08:29 abv Assigned To abv => omy
2013-07-09 08:29 abv Status resolved => assigned
2013-07-09 08:34 abv Note Edited: 0024990 View Revisions
2013-07-09 12:06 omy Note Added: 0024997
2013-07-09 12:06 omy Assigned To omy => abv
2013-07-09 12:06 omy Status assigned => resolved
2013-07-09 12:49 abv Assigned To abv => omy
2013-07-09 12:50 abv Note Added: 0024999
2013-07-09 13:45 omy Note Added: 0025001
2013-07-09 13:45 omy Assigned To omy => mkv
2013-07-09 13:45 omy Status resolved => reviewed
2013-07-09 14:33 apn Assigned To mkv => apn
2013-07-10 10:46 apn Note Added: 0025009
2013-07-10 10:46 apn Assigned To apn => bugmaster
2013-07-10 10:46 apn Status reviewed => tested
2013-07-12 18:08 omy Changeset attached => occt master 302f96fb
2013-07-12 18:08 omy Assigned To bugmaster => omy
2013-07-12 18:08 omy Status tested => verified
2013-07-12 18:08 omy Resolution open => fixed
2013-07-24 14:47 omy Relationship added parent of 0024085
2013-07-25 10:09 omy Relationship added parent of 0024087
2013-08-01 16:23 omy Relationship added parent of 0024095
2013-08-01 16:28 omy Relationship added parent of 0024096
2013-08-29 09:51 omy Relationship added parent of 0024129
2013-09-10 17:57 omy Relationship added related to 0024160
2013-09-11 10:02 omy Relationship added related to 0024162
2013-09-12 10:54 abv Relationship added parent of 0024165
2013-09-12 17:01 abv Relationship added related to 0024167
2013-09-13 10:58 abv Relationship added related to 0024172
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0
2014-01-02 19:30 abv Relationship added has duplicate 0023926
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker